<!--
  ~ Copyright (c) 2017, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
  ~
  ~ WSO2 Inc. licenses this file to you under the Apache License,
  ~ Version 2.0 (the "License"); you may not use this file except
  ~ in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~ http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied. See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <parent>
        <groupId>org.wso2</groupId>
        <artifactId>wso2</artifactId>
        <version>1</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <groupId>org.wso2.iot.analytics.devicemgt-plugins</groupId>
    <artifactId>analytics-devicetype-feature-installation</artifactId>
    <version>3.4.0-SNAPSHOT</version>
    <packaging>pom</packaging>
    <name>Install Virtual Fire Alarm, Raspberry Pi, Arduino, Android Sense Device Types - Analytics</name>
    <url>http://wso2.org</url>


    <build>
        <plugins>
            <plugin>
                <groupId>org.wso2.maven</groupId>
                <artifactId>carbon-p2-plugin</artifactId>
                <version>1.5.3</version>
                <executions>
                    <execution>
                        <id>2-p2-repo-generation</id>
                        <phase>package</phase>
                        <goals>
                            <goal>p2-repo-gen</goal>
                        </goals>
                        <configuration>
                            <metadataRepository>file:\${project.basedir}/target/p2-repo</metadataRepository>
                            <artifactRepository>file:\${project.basedir}/target/p2-repo</artifactRepository>
                            <publishArtifacts>true</publishArtifacts>
                            <publishArtifactRepository>true</publishArtifactRepository>
                            <featureArtifacts>
                                <!-- Ardino Device Type Features -->
                                <featureArtifactDef>
                                    org.wso2.carbon.devicemgt-plugins:org.wso2.carbon.device.mgt.iot.arduino.analytics.feature:${carbon.device.mgt.plugin.version}
                                </featureArtifactDef>

                                <!-- Raspberry Device Type Features -->
                                <featureArtifactDef>
                                    org.wso2.carbon.devicemgt-plugins:org.wso2.carbon.device.mgt.iot.raspberrypi.analytics.feature:${carbon.device.mgt.plugin.version}
                                </featureArtifactDef>

                                <!-- Virtual Fire Alarm Device Type Features -->
                                <featureArtifactDef>
                                    org.wso2.carbon.devicemgt-plugins:org.wso2.carbon.device.mgt.iot.virtualfirealarm.analytics.feature:${carbon.device.mgt.plugin.version}
                                </featureArtifactDef>

                                <!-- Android Sense Device Type Features -->
                                <featureArtifactDef>
                                    org.wso2.carbon.devicemgt-plugins:org.wso2.carbon.device.mgt.iot.androidsense.analytics.feature:${carbon.device.mgt.plugin.version}
                                </featureArtifactDef>
                            </featureArtifacts>
                        </configuration>
                    </execution>
                    <execution>
                        <id>analytics-feature-install</id>
                        <phase>package</phase>
                        <goals>
                            <goal>p2-profile-gen</goal>
                        </goals>
                        <configuration>
                            <profile>analytics-default</profile>
                            <metadataRepository>file:\${project.basedir}/target/p2-repo</metadataRepository>
                            <artifactRepository>file:\${project.basedir}/target/p2-repo</artifactRepository>
                            <destination>\${project.basedir}/../../../components</destination>
                            <deleteOldProfileFiles>false</deleteOldProfileFiles>
                            <features>
                                <feature>
                                    <id>org.wso2.carbon.device.mgt.iot.arduino.analytics.feature.group</id>
                                    <version>${carbon.device.mgt.plugin.version}</version>
                                </feature>
                                <feature>
                                    <id>org.wso2.carbon.device.mgt.iot.raspberrypi.analytics.feature.group</id>
                                    <version>${carbon.device.mgt.plugin.version}</version>
                                </feature>
                                <feature>
                                    <id>org.wso2.carbon.device.mgt.iot.virtualfirealarm.analytics.feature.group</id>
                                    <version>${carbon.device.mgt.plugin.version}</version>
                                </feature>
                                <feature>
                                    <id>org.wso2.carbon.device.mgt.iot.androidsense.analytics.feature.group</id>
                                    <version>${carbon.device.mgt.plugin.version}</version>
                                </feature>
                            </features>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>
                <version>1.1</version>
                <executions>
                    <execution>
                        <id>default-feature-install</id>
                        <phase>package</phase>
                        <configuration>
                            <tasks>
                                <copy todir="../repository/deployment/server/">
                                    <fileset dir="resources/">
                                        <include name="**/*"/>
                                    </fileset>
                                </copy>
                            </tasks>
                        </configuration>
                        <goals>
                            <goal>run</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

    <pluginRepositories>
        <pluginRepository>
            <id>wso2.releases</id>
            <name>WSO2 internal Repository</name>
            <url>http://maven.wso2.org/nexus/content/repositories/releases/</url>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>daily</updatePolicy>
                <checksumPolicy>ignore</checksumPolicy>
            </releases>
        </pluginRepository>
        <pluginRepository>
            <id>wso2.snapshots</id>
            <name>Apache Snapshot Repository</name>
            <url>http://maven.wso2.org/nexus/content/repositories/snapshots/</url>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>daily</updatePolicy>
            </snapshots>
            <releases>
                <enabled>false</enabled>
            </releases>
        </pluginRepository>
        <pluginRepository>
            <id>wso2-nexus</id>
            <name>WSO2 internal Repository</name>
            <url>http://maven.wso2.org/nexus/content/groups/wso2-public/</url>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>daily</updatePolicy>
                <checksumPolicy>ignore</checksumPolicy>
            </releases>
        </pluginRepository>
    </pluginRepositories>


    <repositories>
        <!-- Before adding ANYTHING in here, please start a discussion on the dev list.
             Ideally the Axis2 build should only use Maven central (which is available
             by default) and nothing else. We had troubles with other repositories in
             the past. Therefore configuring additional repositories here should be
             considered very carefully. -->
        <repository>
            <id>wso2-nexus</id>
            <name>WSO2 internal Repository</name>
            <url>http://maven.wso2.org/nexus/content/groups/wso2-public/</url>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>daily</updatePolicy>
                <checksumPolicy>ignore</checksumPolicy>
            </releases>
        </repository>
        <repository>
            <id>wso2.releases</id>
            <name>WSO2 internal Repository</name>
            <url>http://maven.wso2.org/nexus/content/repositories/releases/</url>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>daily</updatePolicy>
                <checksumPolicy>ignore</checksumPolicy>
            </releases>
        </repository>
        <repository>
            <id>wso2.snapshots</id>
            <name>WSO2 Snapshot Repository</name>
            <url>http://maven.wso2.org/nexus/content/repositories/snapshots/</url>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>daily</updatePolicy>
            </snapshots>
            <releases>
                <enabled>false</enabled>
            </releases>
        </repository>
        <repository>
            <id>entgra-nexus</id>
            <name>Entgra internal Repository</name>
            <url>http://nexus.entgra.io/repository/maven-public/</url>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>daily</updatePolicy>
                <checksumPolicy>ignore</checksumPolicy>
            </releases>
        </repository>
        <repository>
            <id>entgra.releases</id>
            <name>Entgra internal Repository</name>
            <url>http://nexus.entgra.io/repository/maven-releases/</url>
            <releases>
                <enabled>true</enabled>
                <updatePolicy>daily</updatePolicy>
                <checksumPolicy>ignore</checksumPolicy>
            </releases>
        </repository>
        <repository>
            <id>entgra.snapshots</id>
            <name>Entgra Snapshot Repository</name>
            <url>http://nexus.entgra.io/repository/maven-snapshots/</url>
            <snapshots>
                <enabled>true</enabled>
                <updatePolicy>daily</updatePolicy>
            </snapshots>
            <releases>
                <enabled>false</enabled>
            </releases>
        </repository>
    </repositories>

    <properties>
        <carbon.device.mgt.plugin.version>${carbon.device.mgt.plugin.version}</carbon.device.mgt.plugin.version>
    </properties>
</project>
